PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- cap_distance

# cap_distance

pydl.pydlutils.mangle.cap_distance(x, cm, points)

  Compute the distance from a point to a cap, and also determine whether the point is inside or outside the cap.

  Parameters:
    x `ndarray` or `recarray`

      `X` value of the cap (3-vector).

    cm `ndarray` or `recarray`

      `CM` value of the cap.

    points `ndarray` or `recarray`

      If `points` is a 3-vector, or set of 3-vectors, then assume the point is a Cartesian unit vector. If `point` is a 2-vector or set of 2-vectors, assume the point is RA, Dec.

  Returns:
    `ndarray`

      The distance(s) to the point(s) in degrees. If the distance is negative, the point is outside the cap.